@import "../../src/scss/init";
.alert {
  z-index: 2;
}
// Issue #3386877: Fix placeholder conflict with BS5 and Drupal placeholder class.
[data-drupal-messages] .placeholder,
[data-drupal-messages-fallback] .placeholder {
  background-color: initial;
  cursor: initial;
  display: initial;
  min-height: initial;
  opacity: initial;
  vertical-align: initial;
}

// Example on how to add default icons without the icon-classes attribute
// .alert{
//   &:not(.alert--has-icon) {
//     padding-left: calc(
//       var(--#{$prefix}alert-padding-x) + var(--icon-size-md) +
//         var(--bs-spacer-2)
//     );
//     &::before {
//       content: var(--bs-alert-icon);
//       float: left;
//       font-size: var(--icon-size-md);
//       font-family: $iconfont-family-drowl-child;
//       line-height: 1;
//       vertical-align: baseline;
//       margin-right: var(--bs-spacer-1);
//       margin-left: calc((var(--icon-size-md) + var(--bs-spacer-2)) * -1);
//     }
//   }
// }
// @each $state in map-keys($theme-colors) {
//   .alert-#{$state} {
//     --#{$prefix}alert-border-color: var(--#{$prefix}#{$state});
//     --#{$prefix}alert-color: var(--#{$prefix}#{$state}-text);
//     --#{$prefix}alert-bg: var(--#{$prefix}#{$state}-bg-subtle);
//     --#{$prefix}alert-link-color: var(--#{$prefix}#{$state}-text);
//     @if $state == "success" {
//       --#{$prefix}alert-icon: #{$ico-checkmark};
//     }@else if $state =='info'{
//       --#{$prefix}alert-icon: #{$ico-info};
//     } @else if $state == "warning" {
//       --#{$prefix}alert-icon: #{$ico-warning};
//     }
//   }
// }
